Could other classic "Star Wars" games use nGlide?

General discussion about nGlide.
tfishell
Posts: 25
Joined: Thu May 17, 2012 2:12 am

Could other classic "Star Wars" games use nGlide?

Postby tfishell » Tue Oct 07, 2014 4:04 am

I don't want to be unnecessarily presumptuous, but evidence is leading me and other GOG forum members to believe GOG may soon be able to bring classic "Star Wars" games and other highly-desired Disney/LucasArts titles.

I noticed, however, that only one "Star Wars" game is mentioned in the compatibility list. Are there any others that could potentially be supported/made compatible with nGlide?

Searching "Star Wars" came up with this post: "All the X-wing games, excepting X-Wing Alliance had 3dfx support. I could run them with my 3dfx videocard (Diamond Monster 3d) in the past!" viewtopic.php?f=10&t=664&p=3382&hilit=star+wars#p3382

Gamecollector
Posts: 940
Joined: Fri Jan 07, 2011 9:29 am

Re: Could other classic "Star Wars" games use nGlide?

Postby Gamecollector » Tue Oct 07, 2014 4:19 am

Star Wars: Rogue Squadron is the only Star Wars game with glideAPI. Others are ddraw/d3d.
All Voodoo cards work in d3d mode. So - of course you can play d3d games up to d3d7 w/o HwT&L pn Voodoos.
Voodoo1/2/Rush/Banshee have a limited OGL support (as OGL -> Glide wrapper). IIRC Voodoo3/4/5 have full OGL ICD w/o glide dependencies... Theoretically you can name all OGL 1.1 games "3dfx compatible". Practically - I can't remember an OGL Star Wars game...
Last edited by Gamecollector on Thu Oct 09, 2014 3:53 am, edited 1 time in total.
Asus P4P800 SE/Pentium4 3.2E/2 Gb DDR400 (3-3-3-8),
Radeon HD3850 Agp (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

tfishell
Posts: 25
Joined: Thu May 17, 2012 2:12 am

Re: Could other classic "Star Wars" games use nGlide?

Postby tfishell » Wed Oct 08, 2014 9:56 pm

Thanks for the response. That sounds unfortunate.


Return to “General”

Who is online

Users browsing this forum: No registered users and 7 guests